int ai_opening(struct move *move)
{
  struct coord src, dst;
  static unsigned char opening = 2;

  if(opening)
  {
    opening--;
    if(turn_count == 1)
    {
      src.row = 6;
      dst.row = dst.col = src.col = 4;
    }
    else
      if(turn_count == 2)
      {
        src.row = 1;
        dst.row = 3;
        if(piece_in_tile(&board, 4, 4) == (PC_PAWN_MOVED | PC_MOVED | PC_PAWN_ENPASS))
        {
          src.col = dst.col = 2;
        }
        else if(piece_in_tile(&board, 4, 3) == (PC_PAWN_MOVED | PC_MOVED | PC_PAWN_ENPASS))
        {
          src.col = dst.col = 5;
        }
        else return 0;
      }
      else return 0;

    move_piece(&board, src, dst);
    move->src = src;
    move->dst = dst;
    return 1;
  }

  return 0;
}
